/* GDCHART 2  GDC_SAMP1.C   1st CHART SAMPLE
 *
 ************************************************************************
 * This version of the GDChart library was based on GDCHART 0.94b
 * (12 Nov. 1998) by Bruce Verderaime (brv@fred.net)
 *
 * Here is the original copyright notice:
 *
 +-----------------------------------------------------------------------
 | GDChart is free for use in your applications and for chart generation.
 | YOU MAY NOT re-distribute or represent the code as your own.
 | Any re-distributions of the code MUST reference the author, and include
 | any and all original documentaion.
 +-----------------------------------------------------------------------
 */


#include <stdio.h>
#include <values.h>
 
#include "gdchart.h"    /* Applications need only include gdchart.h */
 
/**********************************************************************
 *                             main()
 *
 * writes gif file to stdout
 *
 * sample gdchart usage
 * this will produce a 3D BAR chart
 * this is suitable for use as a CGI
 * for CGI use un-comment the "Content-Type" line
 **********************************************************************/

int main()
{
    GDCChartPtr psGDC;

    /* ----- set some data ----- */
    float   a[6]  = { 0.5, 0.09, 0.6, 0.85, 0.0, 0.90 },
            b[6]  = { 1.9, 1.3,  0.6, 0.75, 0.1, 2.0 };
    /* ----- X labels ----- */
    char    *t[6] = { "Chicago", "New York", "L.A.", "Atlanta", 
                      "Paris, MD\n(USA) ", "London" };
    /* ----- data set colors (RGB) ----- */
    GDC_RGB_T  sc[2]    = { 0xFF8080, 0x8080FF };
 
    /* ----- Alloc and Init a chart handle ----- */
    psGDC = GDCChartAlloc( GDC_3DBAR, 250, 200);

    psGDC->BGColor   = 0xFFFFFFL;              /* backgound color (white) */
    psGDC->LineColor = 0x000000L;              /* line color      (black) */
    psGDC->SetColor  = &(sc[0]);               /* assign set colors */

    psGDC->stack_type = GDC_STACK_BESIDE;

/*    printf( "Content-Type: image/gif\n\n" );*/    /* tell browser type */

    /* ----- call the lib ----- */

    GDC_set_values( psGDC,
                    6,         /* int         number of points per data set */
                    t,         /* char*[]     array of X labels */
                    2,         /* int         number of data sets */
                    a,         /* float[]     data set 1 */
                    b );       /*  ...        data set n */

    GDCChartGIF( psGDC, stdout);

    GDCChartDestroy(psGDC);

    return 0;
}

