/**********************************************************************
 * $Id: dbftable.h,v 1.2 1998/12/09 02:08:06 daniel Exp $
 *
 * Name:     dbftable.h
 * Project:  OWT - DBF File access
 * Purpose:  Header file for the DBFTable class
 * Author:   Daniel Morissette, danmo@videotron.ca
 *
 **********************************************************************
 * Copyright (c) 1998, Daniel Morissette
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 **********************************************************************
 *
 * $Log: dbftable.h,v $
 * Revision 1.2  1998/12/09 02:08:06  daniel
 * Converted to use portability library
 *
 * Revision 1.1  1998/12/04 19:15:16  daniel
 * Initial revision
 *
 *
 **********************************************************************/

#ifndef _DBFTABLE_H_INCLUDED_
#define _DBFTABLE_H_INCLUDED_

#include "cpl_port.h"
#include "dbf.h"


class DBFTable
{
private:
    dbhead_t    *m_dbh;
    int         m_dbfd;

    int         m_nCurRecordId;
    char        *m_pszCurRecord;
    char        *m_pszCurFieldBuffer;

    GBool        GotoRecord(int nRecordId);

public:
    DBFTable();
    ~DBFTable();

    GBool        Open(const char *pszFname);
    void        Close();

    int         GetNumFields();
    int         GetNumRecords();
    int         GetFieldIndex(const char *pszFieldName);
    char        GetFieldType(int nFieldIndex);
    const char *GetFieldName(int nFieldIndex);
    char        GetFieldType(const char *pszFieldName);
    const char *GetFieldValue(int nRecordId, int nFieldIndex);
    const char *GetFieldValue(int nRecordId, const char *pszFieldName);
};


/* Self-test function for the DBFTable class */
GBool testDBFTable(const char *pszFname);


#endif /* _DBFTABLE_H_INCLUDED_ */
