/**********************************************************************
 * $Id: owtmisc.h,v 1.2 1999/07/14 04:28:28 daniel Exp $
 *
 * Name:     owtmisc.h
 * Project:  OWT base library
 * Purpose:  Header for misc. simple stuff
 * Author:   Daniel Morissette, danmo@videotron.ca
 *
 **********************************************************************
 * Copyright (c) 1998, 1999, Daniel Morissette
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 **********************************************************************
 *
 * $Log: owtmisc.h,v $
 * Revision 1.2  1999/07/14 04:28:28  daniel
 * Added #ifndef _OWTMISC_H_INCLUDED_
 *
 * Revision 1.1  1999/05/28 17:06:12  daniel
 * Initial revision
 *
 **********************************************************************/

#ifndef _OWTMISC_H_INCLUDED_
#define _OWTMISC_H_INCLUDED_

#include "cpl_port.h"

CPL_C_START

/*=====================================================================
                    LOG stuff from owtlog.c
 =====================================================================*/

#define OWTLOG_NONE     0
#define OWTLOG_ERROR    1
#define OWTLOG_WARNING  2
#define OWTLOG_MSG      5
#define OWTLOG_DEBUG    10
#define OWTLOG_DEBUG1   OWTLOG_DEBUG 
#define OWTLOG_DEBUG2   20
#define OWTLOG_ALL      99

int     OWTLogStart(const char *pszFname);
void    OWTLogStop();
int     OWTLogSetLevel(int nNewLevel);
int     OWTLog(int nLevel, const char *pszFmt, ...);

CPL_C_END

#endif  /* _OWTMISC_H_INCLUDED_ */
