#include "ic_CFactory.h"
#include "Iface.h"
#include "owtcom_cmpnt.h"

///////////////////////////////////////////////////////////
//
// owtcom_server.cpp
//
// This file contains the component server code.
// The FactoryDataArray contains the components that 
// can be served.
//

// Each component derived from CUnknown defines a static function
// for creating the component with the following prototype. 
// HRESULT CreateInstance(IUnknown* pUnknownOuter, 
//                        CUnknown** ppNewComponent) ;
// This function is used to create the component.
//

//
// The following array contains the data used by CFactory
// to create components. Each element in the array contains
// the CLSID, the pointer to the creation function, and the name
// of the component to place in the Registry.
//
CFactoryData g_FactoryDataArray[] =
{
	{&CLSID_OWTCHtBlock, OWTCHtBlock::CreateInstance, 
		"OWT - OWTCHtBlock component", // Friendly Name
		"OWT.OWTCHtBlock",             // ProgID
		"OWT.OWTCHtBlock.1",           // Version-independent ProgID
		&LIBID_OWTCOMLib,              // Type Library ID
		NULL, 0}  ,

	{&CLSID_OWTCHtDoc, OWTCHtDoc::CreateInstance, 
		"OWT - OWTCHtDoc component",   // Friendly Name
		"OWT.OWTCHtDoc",               // ProgID
		"OWT.OWTCHtDoc.1",             // Version-independent ProgID
		&LIBID_OWTCOMLib,              // Type Library ID
		NULL, 0}  ,

	{&CLSID_OWTCHtTable, OWTCHtTable::CreateInstance, 
		"OWT - OWTCHtTable component", // Friendly Name
		"OWT.OWTCHtTable",             // ProgID
		"OWT.OWTCHtTable.1",           // Version-independent ProgID
		&LIBID_OWTCOMLib,              // Type Library ID
		NULL, 0}  ,

	{&CLSID_OWTCHtOutput, OWTCHtOutput::CreateInstance, 
		"OWT - OWTCHtOutput component",// Friendly Name
		"OWT.OWTCHtOutput",            // ProgID
		"OWT.OWTCHtOutput.1",          // Version-independent ProgID
		&LIBID_OWTCOMLib,              // Type Library ID
		NULL, 0}

} ;
int g_cFactoryDataEntries
	= sizeof(g_FactoryDataArray) / sizeof(CFactoryData) ;
